# Class SegmentTransmuxingStartEvent

#### Hierarchy

- SegmentEvent
  - SegmentTransmuxingStartEvent

#####
Index

### Constructors

constructor

### Properties

segmentInfo
type

## Constructors

### constructor

- new SegmentTransmuxingStartEvent(segmentInfo): SegmentTransmuxingStartEvent

- #### Parameters

  - segmentInfo: SegmentInfo

  #### Returns SegmentTransmuxingStartEvent

  Inherited from SegmentEvent.constructor

## Properties

### `Readonly` segmentInfo

segmentInfo: SegmentInfo

Inherited from SegmentEvent.segmentInfo

### `Readonly` type

type: "segmenttransmuxingstart" = Events.SegmentTransmuxingStart

Overrides SegmentEvent.type